Move stock
POST
/stock/movements
const url = 'https://example.com/stock/movements';const options = { method: 'POST', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"productId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","condition":"full","quantity":1,"fromKind":"place","toKind":"place","fromLocationId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","fromVehicleId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","toLocationId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","toVehicleId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","reason":"loaded","note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/stock/movements \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "productId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "condition": "full", "quantity": 1, "fromKind": "place", "toKind": "place", "fromLocationId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "fromVehicleId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "toLocationId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "toVehicleId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "reason": "loaded", "note": "example" }'A delivery in from the supplier, empties going off to be refilled, a stocktake that found three more than the book said. Everything a round does to stock — loading, delivering, unloading — is recorded by the round itself and does not come through here.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
productId
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fcondition
required
string
quantity
required
integer
fromKind
required
string
toKind
required
string
fromLocationId
UUID v7
string | null format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8ffromVehicleId
UUID v7
string | null format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8ftoLocationId
UUID v7
string | null format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8ftoVehicleId
UUID v7
string | null format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8freason
required
string
note
string | null
Responses
Section titled “Responses”Moved
Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}